//Holds data that will be accessed across different classes
public class Data {
	private static Data data = null;
	
	protected Data() {}//To prevent instantiation
	
	//Call this method to get hold of the Data object.
	public static Data getData() {
		if (data == null) {
			data = new Data();
		}
		return data;
	}
	
	public Geotweet_mapper.Button toggle_connection;
	
	//OAuth information
	public String con_key;
	public String con_sec;
	public String acc_token;
	public String acc_token_sec;
	
	public String url;
	
	//Window size
	public int sizeX;
	public int sizeY;
	
	//Flag of whether to stream or not
	public boolean streaming = false;
	
	//Milliseconds between checking for a new tweet. 100 is default for "minimum" speed
	public int stream_delay;
	
	public TweetReader tweetReader;
	
	//Holds the location data of the last tweet read
	public double[] last_tweet = new double[2];
	//Whether there's new tweet data to read
	public boolean changed;
	
	//flags to open and close the stream
	public boolean start_stream = false;
	public boolean kill_stream = false;
}